<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Package hk.quantr.mxgraph.layout (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package hk.quantr.mxgraph.layout (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Package hk.quantr.mxgraph.layout" class="title">Uses of Package<br>hk.quantr.mxgraph.layout</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="package-summary.html">hk.quantr.mxgraph.layout</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.layout">hk.quantr.mxgraph.layout</a></th>
<td class="colLast">
<div class="block">This package contains various graph layouts.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.layout.hierarchical">hk.quantr.mxgraph.layout.hierarchical</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.layout.orthogonal">hk.quantr.mxgraph.layout.orthogonal</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.view">hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="hk.quantr.mxgraph.layout">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">hk.quantr.mxgraph.layout</a> used by <a href="package-summary.html">hk.quantr.mxgraph.layout</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxCompactTreeLayout.Polygon.html#hk.quantr.mxgraph.layout">mxCompactTreeLayout.Polygon</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/mxCompactTreeLayout.Polyline.html#hk.quantr.mxgraph.layout">mxCompactTreeLayout.Polyline</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxCompactTreeLayout.TreeNode.html#hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/mxGraphLayout.html#hk.quantr.mxgraph.layout">mxGraphLayout</a></th>
<td class="colLast">
<div class="block">Abstract bass class for layouts</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxIGraphLayout.html#hk.quantr.mxgraph.layout">mxIGraphLayout</a></th>
<td class="colLast">
<div class="block">Defines the requirements for an object that implements a graph layout.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/mxOrganicLayout.CellWrapper.html#hk.quantr.mxgraph.layout">mxOrganicLayout.CellWrapper</a></th>
<td class="colLast">
<div class="block">Internal representation of a node or edge that holds cached information
 to enable the layout to perform more quickly and to simplify the code</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="hk.quantr.mxgraph.layout.hierarchical">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">hk.quantr.mxgraph.layout</a> used by <a href="hierarchical/package-summary.html">hk.quantr.mxgraph.layout.hierarchical</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxGraphLayout.html#hk.quantr.mxgraph.layout.hierarchical">mxGraphLayout</a></th>
<td class="colLast">
<div class="block">Abstract bass class for layouts</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/mxIGraphLayout.html#hk.quantr.mxgraph.layout.hierarchical">mxIGraphLayout</a></th>
<td class="colLast">
<div class="block">Defines the requirements for an object that implements a graph layout.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="hk.quantr.mxgraph.layout.orthogonal">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">hk.quantr.mxgraph.layout</a> used by <a href="orthogonal/package-summary.html">hk.quantr.mxgraph.layout.orthogonal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxGraphLayout.html#hk.quantr.mxgraph.layout.orthogonal">mxGraphLayout</a></th>
<td class="colLast">
<div class="block">Abstract bass class for layouts</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/mxIGraphLayout.html#hk.quantr.mxgraph.layout.orthogonal">mxIGraphLayout</a></th>
<td class="colLast">
<div class="block">Defines the requirements for an object that implements a graph layout.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="hk.quantr.mxgraph.view">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">hk.quantr.mxgraph.layout</a> used by <a href="../view/package-summary.html">hk.quantr.mxgraph.view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/mxIGraphLayout.html#hk.quantr.mxgraph.view">mxIGraphLayout</a></th>
<td class="colLast">
<div class="block">Defines the requirements for an object that implements a graph layout.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
